<mat-card class="container tky-top-buffer mat-elevation-z16" color="primary">
  <h4 class="text-center">INTRODUZCA LOS SIGUIENTES DATOS:
    <mat-icon (click)="hide[5] = !hide[5]" class="tky-cursor tky-right" color="accent">{{hide[5] ? 'visibility_off' : 'visibility'}}</mat-icon>
  </h4>
  <mat-card-content class="tky-full-width" *ngIf="hide[5]">
    <div class="row tky-top-buffer">

      <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer">
        <form [formGroup]="formProducto">
          <mat-card>
            <h3 class="text-center">Datos del Producto</h3>
            <mat-card-content class="tky-full-width d-block m-x-auto" *ngIf="hide[0]">
              <div class="row">
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Humendad Inicial" class="text-center" formControlName="humedad_inicial">
                      <span matSuffix>% b.h.</span>
                    </mat-form-field>
                  </h5>
                </div>
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Temperatura Inicial" class="text-center" formControlName="temperatura_inicial">
                      <span matSuffix>°C</span>
                    </mat-form-field>
                  </h5>
                </div>
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Hum. Final Prom" class="text-center" formControlName="hum_final_prom">
                      <span matSuffix>% b.h.</span>
                    </mat-form-field>
                  </h5>
                </div>
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Flujo de Café húmedo" class="text-center" formControlName="flujo_cafe">
                      <span matSuffix>Kg/h -m²</span>
                    </mat-form-field>
                  </h5>
                </div>
              </div>
            </mat-card-content>
            <mat-icon (click)="hide[0] = !hide[0]" class="tky-cursor tky-right" color="accent">{{hide[0] ? 'visibility_off' : 'visibility'}}</mat-icon>
          </mat-card>
        </form>
      </div>
      <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer">
        <form [formGroup]="formLugar">
          <mat-card>
            <h3 class="text-center">Datos del Lugar</h3>
            <mat-card-content class="tky-full-width justify-content-center" *ngIf="hide[1]">
              <div class="row">
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Altitud" class="text-center" formControlName="altitud">
                      <span matSuffix>m.s.n.m.</span>
                    </mat-form-field>
                  </h5>
                </div>
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Temperatura Ambiente" class="text-center" formControlName="temperatura_ambiente">
                      <span matSuffix>°C</span>
                    </mat-form-field>
                  </h5>
                </div>
              </div>
            </mat-card-content>
            <mat-icon (click)="hide[1] = !hide[1]" class="tky-cursor tky-right" color="accent">{{hide[1] ? 'visibility_off' : 'visibility'}}</mat-icon>
          </mat-card>
        </form>
      </div>
      <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer">
        <form [formGroup]="formAire">

          <mat-card>
            <h3 class="text-center">Datos del Aire de Secado</h3>
            <mat-card-content class=" text-center  tky-full-width" *ngIf="hide[2]">
              <div class="row">
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Temperatura" class="text-center" formControlName="temperatura">
                      <span matSuffix>°C</span>
                    </mat-form-field>
                  </h5>
                </div>
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Humedad Relativa" class="text-center" formControlName="humedad_relativa">
                      <span matSuffix>Decimal</span>
                    </mat-form-field>
                  </h5>
                </div>
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Caudal" class="text-center" formControlName="caudal">
                      <span matSuffix>m³/min-m²</span>
                    </mat-form-field>
                  </h5>
                </div>
              </div>
            </mat-card-content>
            <mat-icon (click)="hide[2] = !hide[2]" class="tky-cursor tky-right" color="accent">{{hide[2] ? 'visibility_off' : 'visibility'}}</mat-icon>
          </mat-card>
        </form>
      </div>
      <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer">
        <form [formGroup]="formSistema">

          <mat-card>
            <h3 class="text-center">Datos del Sistema de Secado</h3>
            <mat-card-content class="tky-full-width" *ngIf="hide[3]">
              <div class="row">
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Sección Transversal del Secador" class="text-center" formControlName="seccion_transversal">
                      <span matSuffix>m²</span>
                    </mat-form-field>
                  </h5>
                </div>
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Altura Columna Secado" class="text-center" formControlName="altura_columna">
                      <span matSuffix>m</span>
                    </mat-form-field>
                  </h5>
                </div>
                <div class="col col-sm-12 col-md-12 col-lg-12 tky-top-buffer">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Imprimir resultados parciales" class="text-center tky-full-width" formControlName="imprimir_resultados">
                      <span matSuffix>horas</span>
                    </mat-form-field>
                  </h5>
                </div>
              </div>
            </mat-card-content>
            <mat-icon (click)="hide[3] = !hide[3]" class="tky-cursor tky-right" color="accent">{{hide[3] ? 'visibility_off' : 'visibility'}}</mat-icon>
          </mat-card>
        </form>
      </div>

      <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer">
        <form [formGroup]="formLongitud">
          <mat-card>
            <h3 class="text-center">Desea estimar la longitud de la Sección de Reposo?
              <mat-icon (click)="hide[4] = !hide[4]" class="tky-cursor tky-right" color="accent">{{hide[4] ? 'visibility_off' : 'visibility'}}</mat-icon>
            </h3>
            <mat-card-content class="tky-full-width" *ngIf="hide[4]">
              <mat-radio-group class="tky-full-width" formControlName="estimar_longitud">
                <mat-radio-button value="1" class="tky-left">SI. Entonces</mat-radio-button>
                <mat-radio-button value="2" class="tky-right">NO. Entonces</mat-radio-button>
              </mat-radio-group>
             

              <!-- Case [SI]-->
              <div class="row tky-full-width" *ngIf="formLongitud.value['estimar_longitud']==1">
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-full-width">
                  <p>Indtroduzca
                    <b>VALOR</b> del indice de Redistribución de Humendad</p>
                </div>
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-full-width">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Valor Indice"  class="text-center" formControlName="valor_indice">
                      <span matSuffix>DECIMAL</span>
                    </mat-form-field>
                  </h5>
                </div>
              </div>
              <!-- Case [NO]-->
              <div class="row tky-full-width" *ngIf="formLongitud.value['estimar_longitud']!=1">
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-full-width">
                  <p>Indtroduzca
                    <b>LONGITUD</b> Sessión de Reposo</p>
                </div>
                <div class="col col-sm-12 col-md-6 col-lg-6 tky-full-width">
                  <h5 caption>
                    <mat-form-field class="tky-full-width text-center">
                      <input matInput placeholder="Longitud" class="text-center" formControlName="valor_longitud">
                      <span matSuffix>METROS</span>
                    </mat-form-field>
                  </h5>
                </div>
              </div>
            </mat-card-content>
          </mat-card>
        </form>
      </div>
    </div>

  </mat-card-content>

  <mat-card-footer align="end">
    <button mat-raised-button color="accent" (click)="save()">Iniciar Simulación</button>
  </mat-card-footer>
</mat-card>